# ClassProjection Class Reference
[Object projections for use in Criteria queries]

Inheritance diagram for ClassProjection:
[legend]

List of all members.

## Public Member Functions

| __construct ($class)
| process (Criteria $criteria, JoinCapableQuery $query)

## Static Public Member Functions

static | create ($class)

## Protected Member Functions

| subProcess (JoinCapableQuery $query, DBField $field)

## Protected Attributes

| $className = null

## Detailed Description

Definition at line 15 of file ClassProjection.class.php.

## Constructor & Destructor Documentation

ClassProjection::__construct | ( | $ | class | ) |

Definition at line 27 of file ClassProjection.class.php.

References ClassUtils::isInstanceOf(), and Assert::isTrue().

Here is the call graph for this function:

## Member Function Documentation

static ClassProjection::create | ( | $ | class | ) | `[static]`

Returns:
  ClassProjection

Reimplemented in GroupByClassProjection.

Definition at line 22 of file ClassProjection.class.php.

ClassProjection::process | ( | Criteria $ | criteria,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  JoinCapableQuery

Implements ObjectProjection.

Definition at line 42 of file ClassProjection.class.php.

References DBField::create(), and subProcess().

Here is the call graph for this function:

ClassProjection::subProcess | ( | JoinCapableQuery $ | query,
|  | DBField $ | field |
| ) |  |  | `[protected]`

Reimplemented in GroupByClassProjection.

Definition at line 55 of file ClassProjection.class.php.

Referenced by process().

## Member Data Documentation

ClassProjection::$className = null`[protected]`

Definition at line 17 of file ClassProjection.class.php.

The documentation for this class was generated from the following file:

- main/Criteria/Projections/ClassProjection.class.php